org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MatchStep.CountMatchAlgorithm

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchStep.CountMatchAlgorithm

- All Implemented Interfaces:
    Serializable, Function<Traverser.Admin<Object>,Traversal.Admin<Object,Object>>, MatchStep.MatchAlgorithm
  Enclosing class:
    MatchStep<S,E>

      public static class MatchStep.CountMatchAlgorithm
      extends Object
      implements MatchStep.MatchAlgorithm

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MatchStep.CountMatchAlgorithm.Bundle`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<MatchStep.CountMatchAlgorithm.Bundle>` | `bundles`
    `protected int` | `counter`
    `protected boolean` | `onComputer`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchStep.MatchAlgorithm

      `UNMATCHABLE_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountMatchAlgorithm()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal.Admin<Object,Object>` | `apply(Traverser.Admin<Object> traverser)`
    `protected MatchStep.CountMatchAlgorithm.Bundle` | `getBundle(Traversal.Admin<Object,Object> traversal)`
    `void` | `initialize(TraversalEngine.Type traversalEngineType, List<Traversal.Admin<Object,Object>> traversals)`
    `void` | `recordEnd(Traverser.Admin<Object> traverser, Traversal.Admin<Object,Object> traversal)`
    `void` | `recordStart(Traverser.Admin<Object> traverser, Traversal.Admin<Object,Object> traversal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Field Detail

    - #### bundles

          protected List<MatchStep.CountMatchAlgorithm.Bundle> bundles

    - #### counter

          protected int counter

    - #### onComputer

          protected boolean onComputer

  - ### Constructor Detail

    - #### CountMatchAlgorithm

          public CountMatchAlgorithm()

  - ### Method Detail

    - #### initialize

          public void initialize(TraversalEngine.Type traversalEngineType,
                                 List<Traversal.Admin<Object,Object>> traversals)

      Specified by:
        `initialize` in interface `MatchStep.MatchAlgorithm`

    - #### apply

          public Traversal.Admin<Object,Object> apply(Traverser.Admin<Object> traverser)

      Specified by:
        `apply` in interface `Function<Traverser.Admin<Object>,Traversal.Admin<Object,Object>>`

    - #### recordStart

          public void recordStart(Traverser.Admin<Object> traverser,
                                  Traversal.Admin<Object,Object> traversal)

      Specified by:
        `recordStart` in interface `MatchStep.MatchAlgorithm`

    - #### recordEnd

          public void recordEnd(Traverser.Admin<Object> traverser,
                                Traversal.Admin<Object,Object> traversal)

      Specified by:
        `recordEnd` in interface `MatchStep.MatchAlgorithm`

    - #### getBundle

          protected MatchStep.CountMatchAlgorithm.Bundle getBundle(Traversal.Admin<Object,Object> traversal)

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.